This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 533460 - Assertion failure in _wrap_pgm_viewport_factory_create
Assertion failure in _wrap_pgm_viewport_factory_create
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: elisa (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
abrt_hash:630eb805c49ef0974152d6197d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-06 14:44 EST by cje
Modified: 2010-12-03 22:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:28:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (46.94 KB, text/plain)
2009-11-06 14:44 EST, cje
no flags Details

  None (edit)
Description cje 2009-11-06 14:44:03 EST
abrt detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/elisa
component: python
executable: /usr/bin/python
kernel: 2.6.31.5-122.fc12.x86_64
package: python-2.6.2-2.fc12
rating: 3
reason: Process was terminated by signal 11
Comment 1 cje 2009-11-06 14:44:06 EST
Created attachment 367875 [details]
File: backtrace
Comment 2 Dave Malcolm 2009-11-06 15:18:35 EST
Thanks for filing this bug report.

How reproducable is this problem?
If you run elisa from the terminal, is there any output to the terminal when the crash occurs?

Looking at the backtrace, it looks like there are two threads.  Thread 1 has a segfault here:
#0  0x00007f4137a01092 in pygobject_new_full (obj=0x95d0a0, sink=1, 
    g_class=0x0) at pygobject.c:920
        inst_data = <value optimized out>
        tp = <value optimized out>
        self = <value optimized out>
        __PRETTY_FUNCTION__ = "pygobject_new_full"
#1  0x00007f412ad776fb in _wrap_pgm_viewport_factory_create (self=0x1a4df50)
    at pgmviewportfactory.override:181
        viewport = 0x95d0a0
        py_ret = <value optimized out>

My guess is that there was a failure of the assertion tp != NULL, which would cause the process to abort.

Reassigning component from "python" to "elisa"
Comment 3 Bug Zapper 2010-11-04 02:45:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 22:28:53 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.